qgis_25d_height and qgis_25d_angle variables are modifiable but changes are ignored
2016-03-03 03:45 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Symbology

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22389
Description

In layer Properties dialog > Variables tab, you can set new values for qgis_25d_height and qgis_25d_angle variables but when hitting
Apply or OK, these are not taken into consideration and overwritten by the value in Style tab.

History

#1 - 2016-03-04 08:39 AM - Matthias Kuhn
- Status changed from Open to Feedback

They only become important when the renderer is changed to something else.

Do you have an idea how to improve UX?

#2 - 2016-03-13 02:57 PM - Harrissou Santanna

Not really. Haven't thought about it actually. | was just discovering the different new options and got puzzled by this behavior.

Offer the user the possibility to write in a textbox means that entered value should be kept and work somewhere. Otherwise, the textbox should be
read-only, imho. People can get lost with that.

What about having these variables set the values in Style tab (2.5d renderer) and have them overwritten by what the user can enter in the corresponding

fields when style tab is active?

#3 - 2016-04-09 11:39 PM - Giovanni Manghi
- Status changed from Feedback to Open

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-02-27 07:52 PM - Harrissou Santanna

- Resolution set to invalid
- Status changed from Open to Closed

Could not find these variables in the layer properties -> variables tab in 3.0.
